Internet Explorer 7 - Haszprus überblog

Internet Explorer 7

©   Haszprus   |   hwsw


dumagépek káosz


acid2 az ie7 szemével


acid2, amilyennek lennie kéne

Nem tanulnak a srácok a Microsoftnál. Az új böngésző ismét egy rakás szar, ugyanúgy nem támogatja a szabványt mint eddig, a renderelése ugyanúgy szar mint eddig. Talán feltűnhetett már néhányatoknak, hogy IE6-ban a blog meglehetősen tréül néz ki, a jobb oldali menü hol megjelenik, hol nem. Nos semmiféle programozási hiba nem állt emögött, legalábbis az én oldalamról, az IE6 egyszerűen szarul kezelte a CSS-t, a probléma más site-okon is fennállt. Én úgy voltam vele, hogy majd jön az IE7 és ezek a problémák megszűnnek. Ebben részben igazam is volt, de amennyire negyed órás használat alatt leszűrtem, az új verzió se támogatja a :hover és :first-child pszeudo-osztályokat, minek köszönhetően a bal menü kissé tréül néz ki, illetve nem változik a menüelemek háttérszíne, ha föléviszed a kurzort. Ez már önmagában is gáz, hogy a legelterjedtebb böngésző vadonatúj verziója nem támogat ilyen elterjedten használt dolgokat (legalábbis a :hover mindenképpen az), erre csak rátesz egy lapáttal, hogy pl. a dumagépek listája továbbra is kuszán jelenik meg.

Most jöhetnék az ACID2 teszttel, nyilván teljesen rosszul jeleníti meg. Érdeklődőknek azért egy screenshotot csatoltam.

Hogy teheti meg a Microsoft, hogy ennyire szarik bele a fejlődésbe? Nem tudom, nem vagyok marketinges, nem tudom vajon mit ér a Microsoftnak hogy övé-e a legelterjedtebb böngésző, de láthatóan nem hatotta meg őket túlzottan az alternatívák egyelőre nem túl jelentős térnyerése. Mert lássuk be, az IE userek elsöprő többségben vannak a világon, szó sincs arról hogy a Firefox átvenné a vezetést, mint ahogy azt anno az IE megtette a Navigatorral.

Én azért azt mondom: magára valamit adó embernek most már mindenképp eljött az idő, hogy váltson Firefoxra, az MS-sel tudatni kell hogy amit csinál az nem elfogadható. És a Firefox amúgy is jobb. Megjelent belőle a 2.0-s verzió, alapból tud sokmindent, de tovább lehet okosítani mindenféle kiterjesztéssel. Én ezeket ajánlom.

Update 2006. okt. 30. 09:36: rájöttem hogy csak xhtml 1.0 előtti doctype-okkal (esetemben 4.01 transitional) nem támogatja a :hover és :first-child pszeudo-osztályokat. De hogy miért? Számomra rejtély.


RSS: hozzászólások ehhez a bejegyzéshez 33 hozzászólás - Szólj hozzá Te is!